%define major 4.11

Name: dasher
Version: %major
Release: alt2

Summary: Predictive text entry application
Group: Office
License: GPL
#Group: Desktop/Accessibility
Url: http://www.inference.phy.cam.ac.uk/dasher/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: http://ftp.gnome.org/pub/GNOME/sources/%name/%major/%name-%version.tar.bz2

Requires(post,preun): GConf

BuildPreReq: gnome-doc-utils intltool perl-XML-Parser
BuildPreReq: libgio-devel gnome-speech-devel libGConf-devel
BuildRequires: docbook-dtds gcc-c++ gnome-doc-utils-xslt libat-spi-devel libgnomeui-devel
BuildRequires: libexpat-devel libSM-devel
BuildRequires: libXtst-devel perl-XML-Parser

%description
Dasher is an information-efficient text-entry interface, driven by
natural continuous pointing gestures. Dasher is a competitive
text-entry system wherever a full-size keyboard cannot be used - for
example, on a palmtop computer; on a wearable computer; when operating
a computer one-handed, by joystick, touchscreen, trackball, or mouse;
when operating a computer with zero hands (i.e., by head-mouse or by
eyetracker). The eyetracking version of Dasher allows an experienced
user to write text as fast as normal handwriting - 25 words per
minute; using a mouse, experienced users can write at 39 words per
minute.

%prep
%setup -q

%build
%configure \
	--disable-scrollkeeper \
	--with-gnome \
	--enable-speech \
	--enable-a11y

%make_build

%install
%makeinstall

rm -rf %buildroot/var/lib/scrollkeeper

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_desktopdir/%name.desktop
%_datadir/icons/hicolor/48x48/apps/dasher.png
%_datadir/icons/hicolor/scalable/apps/dasher.svg
%_man1dir/*
%config %_sysconfdir/gconf/schemas/dasher.schemas
%doc AUTHORS MAINTAINERS README NEWS

%changelog
* Fri Apr 29 2011 Yuri N. Sedunov <aris@altlinux.org> 4.11-alt2
- rebuild

* Sun Mar 14 2010 Yuri N. Sedunov <aris@altlinux.org> 4.11-alt1
- 4.11

* Mon Apr 27 2009 Yuri N. Sedunov <aris@altlinux.org> 4.10.1-alt1
- 4.10.1

* Fri Mar 20 2009 Yuri N. Sedunov <aris@altlinux.org> 4.10.0-alt1
- 4.10
- removed obsolete %%post{,un} scripts
- drop upstreamed patch

* Sat Feb 14 2009 Alexey Rusakov <ktirf@altlinux.org> 4.9.0-alt2
- NMU: fixed buildreqs

* Thu Oct 02 2008 Yuri N. Sedunov <aris@altlinux.org> 4.9.0-alt1
- 4.9.0

* Mon Jun 25 2007 Igor Zubkov <icesik@altlinux.org> 4.3.3-alt0.1.1
- little spec clean and fixes for (re)building

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 4.3.3-alt0.1
- new version 4.3.3 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt0.1
- new version 4.2.0
- remove obsoleted files, debian menu
- update buildreqs

* Tue Feb 21 2006 Vitaly Lipatov <lav@altlinux.ru> 3.99.4-alt0.1
- new version (3.99.4)
- cleanup spec

* Fri Dec 31 2004 Vitaly Lipatov <lav@altlinux.ru> 3.2.11-alt1
- fix export-dynamic for glade
- add menu
- fix postun section

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 3.2.11-alt0.1
- first build for ALT Linux Sisyphus

